---
schema_version: "1"
id: f02aee9c136b056e154296629cb5ff2cc81fa0200e7b49ae4b0d8de56aca0404
title: Notification API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/retail-cloud/reference/generated-api-specs/notification-api.md
canonical_url: https://developer.salesforce.com/docs/commerce/retail-cloud/references/notification-api
source_site: developer.salesforce.com
content_type: documentation
content_hash: dc306fa10edb2a5ec1170a48a87842613b1573b5a1c006237464347187e1f4f9
products:
  - Point of Sale for Developers
  - Salesforce APIs
---
Notification API

# Notification API

[Download specification](https://developer.salesforce.com/static/commercecloud/retail-cloud/notification-api/notification-api-oas-public.yaml)

POS Merchant API to upload notifications to be sent to target devices.

**Version:** 2.3.4

## Tags

### Notification API

[Download specification](https://developer.salesforce.com/static/commercecloud/retail-cloud/notification-api/notification-api-oas-public.yaml)

POS Merchant API to upload notifications to be sent to target devices.

## Operations

### POST Upload notifications for target devices.

`POST /merchant/{version}/notifications`

Operation ID: `scheduleNotifications`. Tags: Notification API.

Schedule immediate notifications to be sent to specified target devices.

#### Parameters

*   `PredictSpring-Secret` (header, string)
*   `version` (path, string, required) Supported: v1.  
    Pattern: v1|v2.

#### Responses

*   **default** Default response.
    
    Media type: `application/json`. Schema: `MerchantNotificationResponse`.
    

## Schemas

### MerchantNotificationResponse

*   `statusMessage` (_string_)
*   `notificationJobId` (_string_)